org.apache.tinkerpop.gremlin.process.remote.traversal

## Class AbstractRemoteTraverser<T>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.traverser.util.AbstractTraverser<T>
  - - org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraverser<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<Traverser<T>>, RemoteTraverser<T>, Traverser<T>, Traverser.Admin<T>, Attachable<T>
  Direct Known Subclasses:
    DefaultRemoteTraverser

      public abstract class AbstractRemoteTraverser<T>
      extends AbstractTraverser<T>
      implements RemoteTraverser<T>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser

      `Traverser.Admin<T>`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `Attachable.Exceptions, Attachable.Method`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.util.AbstractTraverser

      `t`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser.Admin

      `HALT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRemoteTraverser(T t, long bulk)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `bulk()` A traverser may represent a grouping of traversers to allow for more efficient data propagation.
    `void` | `setBulk(long bulk)` Set the number of traversers represented by this traverser.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.util.AbstractTraverser

      `addLabels, attach, clone, detach, dropLabels, dropPath, equals, get, getSideEffects, getStepId, hashCode, incrLoops, initialiseLoops, keepLabels, loops, loops, merge, path, resetLoops, sack, sack, set, setSideEffects, setStepId, split, split, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.remote.traversal.RemoteTraverser

      `getTags`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser.Admin

      `addLabels, attach, detach, dropLabels, dropPath, getSideEffects, getStepId, incrLoops, initialiseLoops, isHalted, keepLabels, merge, resetLoops, set, setSideEffects, setStepId, split, split`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser

      `asAdmin, clone, compareTo, get, loops, loops, path, path, path, sack, sack, sideEffects, sideEffects`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `get`

- - ### Constructor Detail

    - #### AbstractRemoteTraverser

          public AbstractRemoteTraverser(T t,
                                         long bulk)

  - ### Method Detail

    - #### bulk

          public long bulk()

      Description copied from interface: `Traverser`
      A traverser may represent a grouping of traversers to allow for more efficient data propagation.
      Specified by:
        `bulk` in interface `Traverser<T>`
      Overrides:
        `bulk` in class `AbstractTraverser<T>`
      Returns:
        the number of traversers represented in this traverser.

    - #### setBulk

          public void setBulk(long bulk)

      Description copied from interface: `Traverser.Admin`
      Set the number of traversers represented by this traverser.
      Specified by:
        `setBulk` in interface `Traverser.Admin<T>`
      Overrides:
        `setBulk` in class `AbstractTraverser<T>`
      Parameters:
        `bulk` - the number of traversers

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.